aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorTim Süberkrüb <tim.sueberkrueb@web.de>2015-11-28 13:21:11 +0100
committerTim Süberkrüb <tim.sueberkrueb@web.de>2015-11-28 13:21:11 +0100
commit6d78a28a7103975841564b5606fe5ac076dd7ce6 (patch)
tree91c6d8473a15d16ecf8302513d53bc66e4dfce5d /deploy.sh
Initial commit
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..a7a6956
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,18 @@
+#! /bin/bash
+# asteroid-stopwatch deploy script
+# (C) Copyright 2015 by Tim Süberkrüb
+set -e
+echo "Setup environment setup for armv7a-vfp-neon-oe-linux-gnueabi ..."
+source /usr/local/oecore-x86_64/environment-setup-armv7a-vfp-neon-oe-linux-gnueabi
+echo "Running qmake ..."
+qmake
+echo "Running make ..."
+make
+echo "Deploying binary ..."
+adb push asteroid-stopwatch /usr/bin/asteroid-stopwatch
+echo "Deploying desktop file ..."
+adb push asteroid-stopwatch.desktop /usr/share/applications/asteroid-stopwatch.desktop
+echo "Keep display on ..."
+adb shell mcetool -D on
+echo "Running application ..."
+adb shell XDG_RUNTIME_DIR=/tmp /usr/bin/asteroid-stopwatch --platform wayland-egl